# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum	Real-time guitar effects

Name:		gnuitar
Summary:	%{sum}
Version:	0.3.2
Release:	alt1_19
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}48.png
Source2:	%{name}32.png
Source3:	%{name}16.png
URL:		https://sourceforge.net/projects/gnuitar/files/
License:	GPLv2+
Group:		Sound
BuildRequires:	gtk2-devel
Source44: import.info

%description
This is a program for real-time sound effect processing. Probably could be
used not only for guitar. It has GTK interface and uses OSS sound driver.

Includes effects:
	o wah-wah
	o sustain
	o two flavours of distortion
	o reverberator, echo, delay
	o tremolo
	o vibrato
	o chorus/flanger
	o phasor
	o noise gate

%prep
%setup -q

%build
%configure --with-gtk2
%make_build
										
%install
%makeinstall_std

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{_bindir}/pasuspender %{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Audio;AudioVideoEditing;
EOF

#icons
mkdir -p %{buildroot}/%_liconsdir
cp %SOURCE1  %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_niconsdir}
cp %SOURCE2  %{buildroot}/%_niconsdir/%name.png
mkdir -p %{buildroot}/%_miconsdir
cp %SOURCE3  %{buildroot}/%_miconsdir/%name.png

# house cleaning
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/%name/win32

%files
%doc README AUTHORS ChangeLog COPYING docs/*.html FAQ NEWS TODO
%attr(4711,root,root) %{_bindir}/%name
%{_datadir}/applications/mageia-%{name}.desktop
%{_liconsdir}/%name.png
%_niconsdir/%name.png
%{_miconsdir}/%name.png




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.3.2-alt1_19
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_18
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_17
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_16
- new version

